#
# spec file for package perl-Modern-Perl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Modern-Perl
Version:        1.20170117
Release:        lp151.2.1
%define cpan_name Modern-Perl
Summary:        Enable All of the Features of Modern Perl with One Import
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Modern-Perl/
Source0:        http://www.cpan.org/authors/id/C/CH/CHROMATIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(autodie) >= 2.22
BuildRequires:  perl(feature)
BuildRequires:  perl(mro)
Requires:       perl(autodie) >= 2.22
Requires:       perl(feature)
Requires:       perl(mro)
%{perl_requires}

%description
enable all of the features of Modern Perl with one import

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Wed Jan 18 2017 coolo@suse.com
- updated to 1.20170117
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
* Mon Jan 16 2017 coolo@suse.com
- updated to 1.20170115
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20170115 2017-01-15 13:22:05-08:00 America/Los_Angeles
  - updated for 2017 release
  - maybe 2016 should have supported 5.22, but given how long I waited... oops
  - improved documentation about reexporting (RT #109076)
* Fri Dec 30 2016 coolo@suse.com
- updated to 1.20161229
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20161229 2016-12-28 16:02:17-08:00 America/Los_Angeles
  - improved VERSION numbering (Gryphon Shafer, GH #5)
  1.20161005 2016-10-05 09:38:21-07:00 America/Los_Angeles
  - updated for 2016 release (Gryphon Shafer)
  - added support for 5.24
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.20150127
  - updated for 2015 release (Elmer Quintanilla)
  - added support for 5.20
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.20140107
  - updated for 2014 release
  - added support for 5.18
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.20121103
  - fixed VERSION( undef ) (Peter Vereshagin, RT #80304)
  - fixed POD encoding error (Norbert E. Grüner, RT #80468)
  - added Perl 5.16 support
* Mon Feb 20 2012 coolo@suse.com
- updated to 1.20120130
  - fixed t/year_imports.t for 5.10 (ANDK and sprout again)
  - fixed t/regressions.t for 5.10
  - made raw numbers work in import
  - fixed for Perl 5.15.5 and later (ANDK and sprout)
  - loaded IO::File/IO::Handle to allow methods on lexical filehandles
  - added unimporting
  - removed use of autodie; moved it to a distribution prerequisite
  - enabled unicode_strings by default when your Perl supports it
  - migrated to Dist::Zilla
  - added autodie dependency/import
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.03
  * created by cpanspec 1.78.03
